## org.apache.taglibs.standard.tag.rt.core
Class OutTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.OutSupport
                  org.apache.taglibs.standard.tag.rt.core.OutTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class OutTag

extends OutSupport

Tag handler for <out> in JSTL's rtexprvalue library.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.OutSupport
`def, escapeXml, value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OutTag()`

Method Summary
`void` `setDefault(String def)`
`void` `setEscapeXml(boolean escapeXml)`
`void` `setValue(Object value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.OutSupport
`doEndTag, doStartTag, out, release`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### OutTag

    public OutTag()

Method Detail

### setValue

    public void setValue(Object value)

### setDefault

    public void setDefault(String def)

### setEscapeXml

    public void setEscapeXml(boolean escapeXml)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.